Dragging downwards from the menu bar or double clicking on the menu bar should un-maximise the window

Bug #661049 reported by John Lea on 2010-10-15
86
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Critical
Unassigned
Unity
Fix Released
High
Didier Roche
unity design (obsolete project)
Fix Released
Critical
Unassigned
unity-2d
High
Michał Sawicz
unity (Ubuntu)
High
Unassigned
unity-2d (Ubuntu)
Undecided
Unassigned

Bug Description

When a window is maximised, dragging downwards from the menu or double clicking on the menu bar should un-maximise the window. Note this applies to bar any part that is empty or the area with the title.

Related branches

John Lea (johnlea) on 2010-10-15
tags: added: natty sabdfl

Maybe only if you click on the title? You could double-click the menus (once to show the menus, once to hide it) without wanting to un-maximise the window.

tags: added: design
removed: natty sabdfl
David Barth (dbarth) on 2010-11-10
Changed in unity:
status: New → Incomplete
Changed in unity (Ubuntu):
status: New → Incomplete

No need for an ayatana-design task, I think I've already ack'd the bug.
Where the menu/title is not visible, the panel should act as a proxy for
the window title bar, dragging it down should "pop it off" and have it
restored and draggable as a window.

Mark

Didier Roche (didrocks) on 2010-11-11
Changed in ayatana-design:
status: New → Fix Released
Changed in unity:
status: Incomplete → Triaged
Changed in unity (Ubuntu):
status: Incomplete → Triaged
Changed in unity:
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
John Lea (johnlea) on 2010-11-19
Changed in ayatana-design:
importance: Undecided → Critical
description: updated
Changed in unity-design:
status: New → Fix Released
importance: Undecided → Critical
Neil J. Patel (njpatel) on 2010-12-01
Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
milestone: none → 3.2.12

I'm using the latest version of Unity and double-clicking or dragging the panel/titlebar of a maximised window does nothing, but I take it from this but it should unmaximise?

Mark Shuttleworth (sabdfl) wrote :

Yes, it should restore the window and let you drag it into the position
you want.

David (david.regev) wrote :

Title bars are also capable of responding middle-clicks and the mouse wheel (for actions such as minimizing, lowering, rolling up, and closing the window). Since the panel is a much wider target than the window buttons, it can speed up all window functions—not just unmaximizing. So, ideally, the panel should inherit that behaviour from the title bar as well.

Sam Spilsbury (smspillaz) wrote :

On Wed, Dec 22, 2010 at 5:05 AM, David Prieto <email address hidden> wrote:
> I'm using the latest version of Unity and double-clicking or dragging
> the panel/titlebar of a maximised window does nothing, but I take it
> from this but it should unmaximise?

Funny, I didn't see this spec but was annoyed by the lack of drag down
behavior so I have at least implemented that.

Double click should be very easy as well.

>
> --
> You received this bug notification because you are a member of Unity
> Team, which is subscribed to unity in ubuntu.
> https://bugs.launchpad.net/bugs/661049
>
> Title:
>  Dragging downwards from the menu bar or double clicking on the menu bar should un-maximise the window
>
> Status in Ayatana Design:
>  Fix Released
> Status in Unity:
>  Triaged
> Status in Unity design project:
>  Fix Released
> Status in “unity” package in Ubuntu:
>  Triaged
>
> Bug description:
>  When a window is maximised, dragging downwards from the menu or double clicking on the menu bar should un-maximise the window.  Note this applies to bar any part that is empty or the area with the title.
>
>
>
>
>

--
Sam Spilsbury

Paul Sladen (sladen) wrote :

For the last release it was announced that you could now use the menubar as a bigger drag target for the, merging the difference between the title bar and the menu; but in use not all action were proxied through (notably double-click to maximise wasn't) which made it still significant to remember the difference.

For it to be seamless all actions need to "just work" as they would for a titlebar. Instead of duplicating each case separately, it might be better to just try and forward/proxy all events that aren't actually to a menu through to the window-manager as if they were on the titlebar, which would re-use the existing implementation code.

Mark Shuttleworth (sabdfl) wrote :

I confirm that the unused (non-menu, non-indicator) space should behave
as a proxy for the titlebar, BUT implementation is up to the Unity team.

Neil J. Patel (njpatel) on 2011-01-18
Changed in unity:
milestone: 3.2.12 → 3.2.16
status: Triaged → In Progress
Changed in unity-2d:
status: New → Triaged
importance: Undecided → High
milestone: none → 3.4
milestone: 3.4 → 3.6
Didier Roche (didrocks) wrote :

Stealing to Neil, let's have a look for a double-click fix :)

Changed in unity:
assignee: Neil J. Patel (njpatel) → Didier Roche (didrocks)
Didier Roche (didrocks) on 2011-01-26
Changed in unity:
status: In Progress → Fix Committed
Changed in unity-2d:
status: Triaged → Confirmed
Neil J. Patel (njpatel) on 2011-01-27
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.2.16-0ubuntu1

---------------
unity (3.2.16-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Add the Launcher BaseWindow to the a11y component only if a11y was
      initialized (LP: #705442)
    - Enable _NET_WM_WINDOW_TYPE_UTILITY windows (like gimp toolbox) to hide
      the Launcher (LP: #706109)
    - Fix the defaul indicators size, making them inconsistent (LP: #705803)
    - Always have the indicator session to the top right (LP: #705697)
    - Show launcher when places are activated (LP: #705948)
    - Fix memory leaks in dash (LP: #705705)
    - Support i18n (LP: #697166)
    - Enabling double click on the launcher to restore a maximized window
      (LP: #661049)
    - Update the title bar on tab change (LP: #691651)
    - Hide the launcher instantanly on key press or dash if we have already
      waited the launcher trigger time (LP: #705805)
    - Make sure keypad keys also work in the search entry (LP: #599902)
    - Dash elipsizes file and application names too soon, making them unreadable
      (LP: #632526)
    - Implement Places Group View (LP: #704493)
  * debian/control:
    - ensure we have latest bamf and nux
 -- Didier Roche <email address hidden> Thu, 27 Jan 2011 14:43:29 +0100

Changed in unity (Ubuntu):
status: Triaged → Fix Released
tags: added: bitesize
Changed in unity-2d:
milestone: 3.6 → 3.8
Sam Spilsbury (smspillaz) wrote :

Just an FYI Paul, your idea is indeed how it is implemented right now - when the user clicks on the titlebar it generates a _NET_MOVERESIZE ClientMessage on the window and compiz catches this accordingly.

Paul Sladen (sladen) wrote :

nb. Somebody has now filed bug #703411 ("Middle clicking top panel should push maximized window to background"), so whatever mechanism was used to solved this is presumably not quite generic enough.

Robert Sajdok (ris) on 2011-03-08
Changed in unity-2d:
assignee: nobody → Robert Sajdok (ris)
Robert Sajdok (ris) wrote :

I fixed part of the bug.
"When a window is maximised, double clicking on the menu bar should un-maximise the window"

tags: added: delta-with-3d
Robert Sajdok (ris) on 2011-03-15
Changed in unity-2d:
assignee: Robert Sajdok (ris) → nobody
Changed in unity-2d:
milestone: 3.8 → none
Olivier Tilloy (osomon) on 2011-05-17
Changed in unity-2d:
assignee: nobody → Michał Sawicz (saviq)
status: Confirmed → In Progress
Didier Roche (didrocks) on 2011-05-31
Changed in unity-2d (Ubuntu):
status: New → In Progress
Changed in unity-2d:
milestone: none → 3.10
Didier Roche (didrocks) on 2011-07-04
Changed in unity-2d:
milestone: 3.8.10 → 3.8.12
Didier Roche (didrocks) on 2011-07-28
Changed in unity-2d:
milestone: 3.8.12 → 3.8.14
Didier Roche (didrocks) on 2011-08-01
Changed in unity-2d:
milestone: 3.8.14 → 3.8.16
Didier Roche (didrocks) on 2011-08-11
Changed in unity-2d:
milestone: 4.0 → 4.2
Changed in unity-2d:
milestone: 4.2 → 4.4
Didier Roche (didrocks) on 2011-09-01
Changed in unity-2d:
milestone: 4.4 → 4.6
Didier Roche (didrocks) on 2011-09-08
Changed in unity-2d:
milestone: 4.6 → 4.8
Didier Roche (didrocks) on 2011-09-15
Changed in unity-2d:
milestone: 4.8 → 4.10
Changed in unity-2d:
milestone: 4.10 → 4.12
Changed in unity-2d:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-09-29
Changed in unity-2d:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 4.12.0-0ubuntu1

---------------
unity-2d (4.12.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - unity-2d-panel assert failure: *** glibc detected *** unity-2d-panel:
      malloc(): smallbin double linked list corrupted: 0x08313b28 ***
      (LP: #845979)
    - unity-2d-panel assert failure: *** glibc detected *** unity-2d-panel:
      corrupted double-linked list: 0x094bc9b0 *** (LP: #852012)
    - unity-2d-panel crashed with SIGSEGV (LP: #843432)
    - Dragging downwards from the menu bar or double clicking on the menu bar
      should un-maximise the window (LP: #661049)
    - [dash] Dash is shown when pressing and releasing quickly super+KEY
      (LP: #801073)
    - [dash] Do search, scroll down using mouse, then maximise window. Layout
      breaks (LP: #817421)
    - F10 doesn't start keyboard navigation to the panel (LP: #839628)
    - [dash] Gridview moves to top when you open or close the "Show X more.."
      dropdown or the Filter pane (LP: #850036)
    - Impossible to navigate between panel menus when the mouse cursor is over
      the panel (LP: #834065)
    - [panel] F10 menu initially shown about half screen down (LP: #853766)
    - [dash] Filter pane doesn't clear its background when switching lenses
      (LP: #858590)
    - [shortcuts] <Super><Shift># should launch a new instance of #
      application (LP: #768006)
    - unity-2d-spread missing background images when path includes Unicode
      (LP: #855508)
 -- Didier Roche <email address hidden> Thu, 29 Sep 2011 16:58:34 +0200

Changed in unity-2d (Ubuntu):
status: In Progress → Fix Released
Changed in unity-2d:
status: Fix Released → Fix Committed
Gerry Boland (gerboland) on 2011-11-14
Changed in unity-2d:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers